Subject: bug#25695: angband [new package]

From: Christopher Allan Webber <[email-masked]>
Date: Sun, 12 Feb 2017 13:53:29 -0600

Ricardo Wurmus writes:

> Christopher Allan Webber <[email-masked]> writes:
>
>>>> +       #:phases (modify-phases %standard-phases
>>>> +                  (add-after
>>>> +                   'unpack 'autogen.sh
>>>
>>> Nitpick: move the phase names onto the same line as “add-after”.
>>
>> Hm, okay, I can do that, but I didn't do it for a reason... emacs
>> an indentation style reason!
> […]
>>
>> Maybe we should put something in Guix's .dir-locals?
>>
>
> Do you have “guix-devel-mode” enabled?  It indents the expression just
> fine in my Emacs (though I’d add a line break after “#:phases”).

I didn't even know such a thing existed.  Cool!

>>> “copying.txt” says:
>>>
>>>  * Adam Bolt's (16x16) graphics may be redistributed and used for any purpose,
>>>    with or without modification.
>>>
>>>  * David Gervais' (32x32) graphics may be redistributed, modified, and used
>>>    only under the terms of the Creative Commons Attribution 3.0 licence:
>>>    http://creativecommons.org/licenses/by/3.0/
>>>
>>>  * Shockbolt's (64x64) graphics are distributed under the licence at the end
>>>    of this file.  Currently some of the tiles in the 64x64.png tilesheet were
>>>    resized from tiles made by David Gervais for the 32x32 set.
>>>
>>>  * The sounds are licenced under the Creative Commons Attribution-NonCommercial-
>>>    Sharealike licence.  They were created by Dubtrain <[email-masked]>.
>>>    You can find them in Wave format at http://www.dubtrain.com/angband/.
>>
>> Hmm, that last one is a problem because I think it doesn't meet our
>> licensing requirements.  It's a bit funny because we aren't using the
>> graphics or sounds anyway since this is a console-only version of this
>> package.  So!  Easy solution: I added a phase that just deleted them all
>> from the output.  Problem solved!  (Until someone adds a graphical
>> variant.  Then they can deal with it ;))
>
> Could you remove the sounds in a snippet instead?  This ensures that we
> don’t redistribute them as part of the source tarball either.
>
> I think it’s okay to push with that change.  Thanks!

I didn't know about snippets either. :)

Okay, done!  Pushed up!  For all the productivity risks that might
entail...! :)